Bug 15900 - Remove use of recordpayment in ProcessOfflinePayment
Summary: Remove use of recordpayment in ProcessOfflinePayment
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Keywords:
Depends on: 15895
Blocks: 15899
  Show dependency treegraph
 
Reported: 2016-02-24 15:27 UTC by Kyle M Hall
Modified: 2017-12-07 22:16 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 15900 - Remove use of recordpayment in ProcessOfflinePayment (1.25 KB, patch)
2016-02-24 15:28 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 15900 - Remove use of recordpayment in ProcessOfflinePayment (1.25 KB, patch)
2016-06-07 15:11 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 15900 - Remove use of recordpayment in ProcessOfflinePayment (1.30 KB, patch)
2016-08-23 06:14 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 15900 [QA Followup] - Use Koha::Patrons instead of Koha::Borrowers (1.01 KB, patch)
2016-09-06 15:08 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 15900 - Remove use of recordpayment in ProcessOfflinePayment (1.37 KB, patch)
2016-09-28 11:08 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 15900 [QA Followup] - Use Koha::Patrons instead of Koha::Borrowers (1.08 KB, patch)
2016-09-28 11:08 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2016-02-24 15:27:36 UTC

    
Comment 1 Kyle M Hall 2016-02-24 15:28:41 UTC Comment hidden (obsolete)
Comment 2 Bernardo Gonzalez Kriegel 2016-05-10 00:55:32 UTC
On top of 15895, test fails

prove t/db_dependent/Circulation.t
t/db_dependent/Circulation.t .. 1/83 Can't locate object method "find" via package "Koha::Borrowers" (perhaps you forgot to load "Koha::Borrowers"?) at /home/bgkriegel/kohaclone/C4/Circulation.pm line 3912.

Am I missing something?
Comment 3 Kyle M Hall 2016-06-07 15:11:16 UTC Comment hidden (obsolete)
Comment 4 Josef Moravec 2016-08-23 06:14:27 UTC
Created attachment 54742 [details] [review]
Bug 15900 - Remove use of recordpayment in ProcessOfflinePayment

Test plan:
1) Apply this patch
2) prove t/db_dependent/Circulation.t

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 5 Jonathan Druart 2016-08-23 11:21:59 UTC
(In reply to Bernardo Gonzalez Kriegel from comment #2)
> On top of 15895, test fails
> 
> prove t/db_dependent/Circulation.t
> t/db_dependent/Circulation.t .. 1/83 Can't locate object method "find" via
> package "Koha::Borrowers" (perhaps you forgot to load "Koha::Borrowers"?) at
> /home/bgkriegel/kohaclone/C4/Circulation.pm line 3912.
> 
> Am I missing something?

Same here.
Comment 6 Kyle M Hall 2016-09-06 15:08:34 UTC
Created attachment 55261 [details] [review]
Bug 15900 [QA Followup] - Use Koha::Patrons instead of Koha::Borrowers

Since the initial submission of this patch, the module Koha::Borrowers
has been moved to Koha::Patrons. This patch changes the call from
Koha::Borrowers to Koha::Patrons.
Comment 7 Jonathan Druart 2016-09-28 11:08:07 UTC
Created attachment 55872 [details] [review]
Bug 15900 - Remove use of recordpayment in ProcessOfflinePayment

Test plan:
1) Apply this patch
2) prove t/db_dependent/Circulation.t

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 8 Jonathan Druart 2016-09-28 11:08:12 UTC
Created attachment 55873 [details] [review]
Bug 15900 [QA Followup] - Use Koha::Patrons instead of Koha::Borrowers

Since the initial submission of this patch, the module Koha::Borrowers
has been moved to Koha::Patrons. This patch changes the call from
Koha::Borrowers to Koha::Patrons.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 9 Kyle M Hall 2016-09-29 11:15:36 UTC
Pushed to master for 16.11!